(function(w){

 	var cookies = {

		set: function (cname, cvalue, exdays) {
			this.setCookie (cname, cvalue, exdays);
		},

		get: function (cname) {
			var a = this.getCookie (cname);

			if (a != "") {
				console.log ("Valor de la cookie " + cname + ": " +  a);
				return {tf: true, value: a};
			} else {
				console.log ("La cookie " + cname + " no existe.");
				return false;
			}			
		},

		check: function () {
			this.checkCookie ();
		},

		setCookie: function  (cname, cvalue, exdays) {
			var d = new Date();
			d.setTime(d.getTime() + (exdays * 24 * 60 * 60 * 1000));
			var expires = "expires="+d.toUTCString();
			document.cookie = cname + "=" + cvalue + ";" + expires + ";path=/";

			console.log (document.cookie)
		},

		getCookie: function (cname) {
			var name = cname + "=";
			var ca = document.cookie.split(';');
			for(var i = 0; i < ca.length; i++) {
			var c = ca[i];
			while (c.charAt(0) == ' ') {
				c = c.substring(1);
			}
			if (c.indexOf(name) == 0) {
				return c.substring(name.length, c.length);
			}
			}
			return "";
		},

		checkCookie: function () {
			var user = cookies.getCookie("username");
			if (user != "") {
				alert("Welcome again " + user);
			} else {
				user = prompt("Please enter your name:", "");
				if (user != "" && user != null) {
				cookies.setCookie("username", user, 365);
				}
			}
		}

	}

	 w.cookies_ = cookies;
	
})(window);


